package com.sf.sx.day07;

import org.junit.Test;

import java.util.ArrayList;
import java.util.List;

public class Data {
    // 创建一个集合 用于承装数据
    public static List<Product> products = new ArrayList<>();
    static {
        products.add(new Product(1L, "苹果手机", 8888.88,"手机"));
        products.add(new Product(2L, "华为手机", 6666.66,"手机"));
        products.add(new Product(3L, "联想笔记本",7777.77,"电脑"));
        products.add(new Product(4L, "机械键盘", 999.99,"键盘"));
        products.add(new Product(5L, "雷蛇鼠标", 222.22,"鼠标"));
    }


    public static void main(String[] args) {
        //   帅选出商品名字包含手机的商品
        List<Product> productByName = findProductByName(Data.products);
        System.out.println(productByName);
        List<Product> productByPrice = findProductByPrice(Data.products);
        System.out.println(productByPrice);

    }
    /**
     * 筛选出商品名字包含手机的商品
     * @param products
     * @return
     */
    public static List<Product> findProductByName(List<Product> products){
        List<Product> list = new ArrayList<>();
        for (Product product : products) {
            if(product.getName().contains("手机")){
                list.add(product);
            }
        }
        return  list;
    }

    /**
     * 价格大于1000
     * @param products
     * @return
     */
    public static List<Product> findProductByPrice(List<Product> products){
        List<Product> list = new ArrayList<>();
        for (Product product : products) {
            if(product.getPrice()>1000){
                list.add(product);
            }
        }
        return  list;
    }



}
